Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class Notification

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.management.Notification

Direct Known Subclasses:
  AttributeChangeNotification, MBeanServerNotification, MonitorNotification, TraceNotification

public class Notification
extends java.util.EventObject

The Notification class represents a notification emitted by an MBean.

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`Notification(java.lang.String type, java.lang.Object source, long sequenceNumber)` Creates a Notification object.
`Notification(java.lang.String type, java.lang.Object source, long sequenceNumber, java.util.Date timeStamp)` Creates a Notification object.
`Notification(java.lang.String type, java.lang.Object source, long sequenceNumber, java.util.Date timeStamp, java.lang.String message)` Creates a Notification object.
`Notification(java.lang.String type, java.lang.Object source, long sequenceNumber, java.lang.String message)` Creates a Notification object.

Method Summary
`java.lang.String` | `getMessage()` Get the notification message.
`long` | `getSequenceNumber()` Get the notification sequence number.
`java.lang.Object` | `getSource()` get the source object name
`java.util.Date` | `getTimeStamp()` Get the notification timestamp.
`java.lang.String` | `getType()` Get the notification type.
`java.lang.Object` | `getUserData()` Get the user data.
`void` | `setSource(java.lang.Object source)` Set the source object name
`void` | `setUserData(java.lang.Object userData)` Set the user data.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Notification

    public Notification(java.lang.String type,
                        java.lang.Object source,
                        long sequenceNumber)

  Creates a Notification object. The notification timeStamp is set to the curent date.
  Parameters:
    `type` - The notification type.
    `source` - The notification source.
    `sequenceNumber` - The notification sequence number within the source object.

### Notification

    public Notification(java.lang.String type,
                        java.lang.Object source,
                        long sequenceNumber,
                        java.lang.String message)

  Creates a Notification object. The notification timeStamp is set to the curent date.
  Parameters:
    `type` - The notification type.
    `source` - The notification source.
    `sequenceNumber` - The notification sequence number within the source object.
    `message` - the detail message.

### Notification

    public Notification(java.lang.String type,
                        java.lang.Object source,
                        long sequenceNumber,
                        java.util.Date timeStamp)

  Creates a Notification object.
  Parameters:
    `type` - The notification type.
    `source` - The notification source.
    `sequenceNumber` - The notification sequence number within the source object.
    `date` - The notification emission date.

### Notification

    public Notification(java.lang.String type,
                        java.lang.Object source,
                        long sequenceNumber,
                        java.util.Date timeStamp,
                        java.lang.String message)

  Creates a Notification object.
  Parameters:
    `type` - The notification type.
    `source` - The notification source.
    `sequenceNumber` - The notification sequence number within the source object.
    `date` - The notification emission date.
    `message` - the detail message.

Method Detail

### getSource

    public java.lang.Object getSource()

  get the source object name
  Returns:
    The MBean object name on which the notification initially occurred.
  Overrides:
    getSource in class java.util.EventObject

### setSource

    public void setSource(java.lang.Object source)
                   throws java.lang.IllegalArgumentException

  Set the source object name
  Returns:
    The notification sequence number within the source object.
  Throws:
    java.lang.IllegalArgumentException - The source is not a ObjectName

### getSequenceNumber

    public long getSequenceNumber()

  Get the notification sequence number.
  Returns:
    The notification sequence number within the source object.

### getType

    public java.lang.String getType()

  Get the notification type.
  Returns:
    The notification type.

### getTimeStamp

    public java.util.Date getTimeStamp()

  Get the notification timestamp.
  Returns:
    The notification timestamp.

### getMessage

    public java.lang.String getMessage()

  Get the notification message.
  Returns:
    The message string of this notification object.

### getUserData

    public java.lang.Object getUserData()

  Get the user data.
  Returns:
    The user data object

### setUserData

    public void setUserData(java.lang.Object userData)

  Set the user data.
  Parameters:
    `userData` - The user data object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD